COL(1) | General Commands Manual | COL(1)

# NAME

`col` —
filter reverse line feeds from input

# SYNOPSIS

`col` | [`-bfhpx`] [`-l` num]

# DESCRIPTION

The `col` utility filters out reverse (and half reverse) line feeds so that the output is in the correct order with only forward and half forward line feeds, and replaces white-space characters with tabs where possible.

The `col` utility reads from the standard input and writes to the standard output.

The options are as follows:

`-b`
  Do not output any backspaces, printing only the last character written to each column position.
`-f`
  Forward half line feeds are permitted (``fine'' mode). Normally characters printed on a half line boundary are printed on the following line.
`-h`
  Do not output multiple spaces instead of tabs (default).
`-l` num
  Buffer at least num lines in memory. By default, 128 lines are buffered.
`-p`
  Force unknown control sequences to be passed through unchanged. Normally, `col` will filter out any control sequences from the input other than those recognized and interpreted by itself, which are listed below.
`-x`
  Output multiple spaces instead of tabs.

In the input stream, `col` understands both the escape sequences of the form escape-digit mandated by Version 2 of the Single UNIX Specification (“SUSv2”) and the traditional BSD format escape-control-character. The control sequences for carriage motion and their ASCII values are as follows:

ESC-BELL
  reverse line feed (escape then bell).
ESC-7
  reverse line feed (escape then 7).
ESC-BACKSPACE
  half reverse line feed (escape then backspace).
ESC-8
  half reverse line feed (escape then 8).
ESC-TAB
  half forward line feed (escape than tab).
ESC-9
  half forward line feed (escape then 9). In `-f` mode, this sequence may also occur in the output stream.
backspace
  moves back one column (8); ignored in the first column
carriage return
  (13)
newline
  forward line feed (10); also does carriage return
shift in
  shift to normal character set (15)
shift out
  shift to alternate character set (14)
space
  moves forward one column (32)
tab
  moves forward to next tab stop (9)
vertical tab
  reverse line feed (11)

All unrecognized control characters and escape sequences are discarded.

The `col` utility keeps track of the character set as characters are read and makes sure the character set is correct when they are output.

If the input attempts to back up to the last flushed line, `col` will display a warning message.

# ENVIRONMENT

The `LANG`, `LC_ALL` and `LC_CTYPE` environment variables affect the execution of `col` as described in environ(7).

# EXIT STATUS

The `col` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

We can use `col` to filter the output of man(1) and remove the backspace characters ( ^H ) before searching for some text:

    man ls | col -b | grep HISTORY

# SEE ALSO

expand(1)

# STANDARDS

The `col` utility conforms to Version 2 of the Single UNIX Specification (“SUSv2”).

# HISTORY

A `col` command appeared in Version 6 AT&T UNIX.

November 1, 2020 | NetBSD 10.0